import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { PostPropertyAmenities } from '../models';
import { PostPropertyAmenitiesRepository } from '../repositories';
export declare class PostPropertyAmenitiesController {
    postPropertyAmenitiesRepository: PostPropertyAmenitiesRepository;
    constructor(postPropertyAmenitiesRepository: PostPropertyAmenitiesRepository);
    create(postPropertyAmenities: Omit<PostPropertyAmenities, 'id'>): Promise<PostPropertyAmenities>;
    count(where?: Where<PostPropertyAmenities>): Promise<Count>;
    find(filter?: Filter<PostPropertyAmenities>): Promise<PostPropertyAmenities[]>;
    updateAll(postPropertyAmenities: PostPropertyAmenities, where?: Where<PostPropertyAmenities>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<PostPropertyAmenities>): Promise<PostPropertyAmenities>;
    updateById(id: number, postPropertyAmenities: PostPropertyAmenities): Promise<void>;
    replaceById(id: number, postPropertyAmenities: PostPropertyAmenities): Promise<void>;
    deleteById(id: number): Promise<void>;
}
